/***********************************************************************************************/
/* 	SIERRA LEONE ETHNIC DIVERSITY PAPER													       */
/*																							   */
/*		5 March 2010																		   */
/*		- Alex Rothenberg 																	   */
/*																							   */
/*	Kernel Density Estimates of ELF															   */
/***********************************************************************************************/
#delimit;
clear all;
set more off;
set matsize 800;
set memory 1g;

pause on;
capture log close;

/* CHANGE THIS LINE TO REFLECT LOCAL DIRECTORY STRUCTURE */;
global REPDIR = "/Users/alexroth/Documents/Papers/SL_Diversity/SL_EJ/";

global DV_do 	 "$REPDIR/STATA/do/";
global DV_data 	 "$REPDIR/STATA/dta/";
global outputRNR "$REPDIR/Output/";
global outputPNG "$REPDIR/Output/PNG/";
global outputEPS "$REPDIR/Output/EPS/";

* =========================================================	;
*	Chiefdom-level Graphs - ELF	 							;
* =========================================================	;
	use "$DV_data/ethnic_ch_0507.dta", clear;

	keep if year == 2007;
	label var elf_ch "Ethnolinguistic Fractionalization, by Chiefdom";
	
	kdensity elf_ch, kernel(gaussian) graphregion(color(white)) title("") note("")
		xlabel(0(0.2)1) ylabel(0(1)4);

	graph export "$outputRNR/efi_chief_kdensity.png", as(png) replace;
	graph export "$outputPNG/Rothenberg_Fig1_efi_chief_kdensity.png", as(png) replace;
	graph export "$outputEPS/Rothenberg_Fig1_efi_chief_kdensity.eps", as(eps) replace;
